# テナントバイヤー 一覧取得

`GET /v1/buyer_platform/tenants`

- operationId: `retrieveTenantBuyerList`
- tags: テナントバイヤー

テナントバイヤーを一覧で取得します。\
クエリパラメータを指定して取得する条件を絞り込めます。


## コードサンプル

### cURL

```bash
curl \
    -X GET \
    -H "Authorization:Bearer <Secret API Key>" \
'https://api.test.fincode.jp/v1/buyer_platform/tenants'
```

### Node.js

```javascript
const API_KEY = "<Secret API Key>";

(async () => {
    const response = await fetch("https://api.test.fincode.jp/v1/buyer_platform/tenants?limit=10", {
        method: "GET",
        headers: {
            Authorization: `Bearer ${API_KEY}`,
        },
    });

    const data = await response.json();
    console.log(data);
})();
```

### Go

```go
package main

import (
	"fmt"
	"log"
	"net/http"
)

func main() {
	apiKey := "<Secret API Key>"

	req, _ := http.NewRequest("GET", "https://api.test.fincode.jp/v1/buyer_platform/tenants", nil)
	req.Header.Set("Authorization", fmt.Sprintf("Bearer %s", apiKey))

	params := req.URL.Query()
	params.Add("limit", "10")
	req.URL.RawQuery = params.Encode()

	client := &http.Client{}
	res, err := client.Do(req)
	if err != nil {
		log.Fatal(err)
	}
	defer res.Body.Close()
}
```

### PHP

```php
<?php

$apiKey = '<Secret API Key>';

$baseUrl = "https://api.test.fincode.jp";
$endpoint = "/v1/buyer_platform/tenants";
$queryParams = [
    "limit" => 10,
];

$headers = [
    "Authorization: Bearer " . $apiKey,
];

$session = curl_init();
curl_setopt($session, CURLOPT_URL, $baseUrl . $endpoint . '?' . http_build_query($queryParams));
curl_setopt($session, CURLOPT_HTTPHEADER, $headers);
curl_setopt($session, CURLOPT_HTTPGET, true);
curl_setopt($session, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($session);

if ($response === false) {
    echo "cURL Error: " . curl_error($session);
} else {
    var_dump($response);
}

curl_close($session);
```

### Python 3

```python
import requests

api_key = '<Secret API Key>'

url = 'https://api.test.fincode.jp/v1/buyer_platform/tenants'
query_params = {
    'limit': '10',
}

headers = {
    'Authorization': f'Bearer {api_key}',
}

try:
    response = requests.get(url, headers=headers, params=query_params)

    if response.status_code == 200:
        print(f"Success: {response.json()}")
    else:
        print(f"Error: {response.json()}")
except requests.RequestException as e:
    print(f"Request error: {e}")
```

### Ruby

```ruby
require 'net/http'
require 'uri'

API_KEY = '<Secret API Key>'
BASE_URL = 'https://api.test.fincode.jp'

def main
    endpoint = '/v1/buyer_platform/tenants'
    query_params = { limit: 10 }

    uri = URI.parse(BASE_URL + endpoint)
    uri.query = URI.encode_www_form(query_params)

    http = Net::HTTP.new(uri.host, uri.port)
    http.use_ssl = true

    request = Net::HTTP::Get.new(uri.request_uri)
    request['Authorization'] = "Bearer #{API_KEY}"

    response = http.request(request)

    case response
    when Net::HTTPSuccess
        puts 'SUCCESS'
    else
        puts 'ERROR'
    end

    puts response.body
end

main
```

## パラメータ

| 名前 | 位置 | 必須 | 型 | 説明 |
| --- | --- | --- | --- | --- |
| `クエリ` | query |  | Pagination.QueryParams | テナントバイヤー情報の一覧取得において検索条件となるクエリパラメータ |

## レスポンス

### 200 リクエストに成功

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `list` | array<BuyerShop> |  |  |

### 400 不正なリクエスト

| パラメータ | 型 | 必須 | 説明 |
| --- | --- | --- | --- |
| `errors` | array<FincodeAPIError> |  |  |

